
%define disclaimer \
This is alpha software with known issues.\
We still recommend nm-applet from NetworkManager-gnome for production use.

Name:           kde-plasma-networkmanagement
# to be a higher, natural upgrade from F-10's knetworkmanager-0.7
Epoch:          1
Version:        0.9
Release:        0.3.20090930svn%{?dist}
Summary:        NetworkManager KDE 4 integration

Group:          Applications/Internet
License:        (GPLv2 or GPLv3) and GPLv2+ and LGPLv2+ and LGPLv2
URL:            http://websvn.kde.org/trunk/playground/base/plasma/applets/networkmanager/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r 1029690 svn://anonsvn.kde.org/home/kde/trunk/playground/base/plasma/applets/networkmanager kde-plasma-networkmanagement-0.9
#  tar -c kde-plasma-networkmanagement-0.9 | bzip2 --best -c > kde-plasma-networkmanagement-0.9.tar.bz2
Source0:        %{name}-%{version}.tar.bz2
# Patch to get .desktop files validated
Patch0:         %{name}-%{version}-desktop.patch

BuildRequires:  kdelibs-experimental-devel
BuildRequires:  kdebase-workspace-devel >= 4.3.0
BuildRequires:  NetworkManager-glib-devel >= 0.7.0
BuildRequires:  PolicyKit-devel

Requires: NetworkManager

# multilib upgrades
Obsoletes: kde-plasma-networkmanagement < 0.1-0.21
Obsoletes: kde-plasma-networkmanagement-devel < 0.1-0.21

Requires: knetworkmanager = %{?epoch:%{epoch}:}%{version}-%{release}

%description
A Plasma applet to control your wired and wireless network(s) in KDE 4 using
the default NetworkManager service.
%{?disclaimer}

%package -n knetworkmanager
Summary: NetworkManager KDE 4 integration
Group: Applications/Internet
Requires: knetworkmanager-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%description -n knetworkmanager
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.
%{?disclaimer}

%package -n knetworkmanager-libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Requires: knetworkmanager = %{?epoch:%{epoch}:}%{version}-%{release} 
#Requires: kdelibs4%{?_isa} >= %{kde4_version}
%description -n knetworkmanager-libs
%{summary}.

%package -n knetworkmanager-openvpn
Summary:        OpenVPN support for knetworkmanager
Group:          Applications/Internet
Requires:       knetworkmanager = %{?epoch:%{epoch}:}%{version}-%{release} 
Requires:       NetworkManager-openvpn
Obsoletes:      kde-plasma-networkmanagement-openvpn < %{?epoch:%{epoch}:}%{version}-%{release} 
Provides:       kde-plasma-networkmanagement-openvpn = %{?epoch:%{epoch}:}%{version}-%{release}
%description -n knetworkmanager-openvpn
%{summary}.
%{?disclaimer}

%package -n knetworkmanager-vpnc
Summary:        Vpnc support for knetworkmanager
Group:          Applications/Internet
Requires:       knetworkmanager = %{?epoch:%{epoch}:}%{version}-%{release} 
Requires:       NetworkManager-vpnc
Obsoletes:      kde-plasma-networkmanagement-vpnc < %{?epoch:%{epoch}:}%{version}-%{release} 
Provides:       kde-plasma-networkmanagement-vpnc = %{?epoch:%{epoch}:}%{version}-%{release} 
%description -n knetworkmanager-vpnc
%{summary}.
%{?disclaimer}


%prep
%setup -q
%patch0 -p1 -b .desktop


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. -DDBUS_SYSTEM_POLICY_DIR=%{_sysconfdir}/dbus-1/system.d
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast -C %{_target_platform} DESTDIR=%{buildroot} PREFIX=%{_prefix}

## unpackaged files
# nuke -devel type stuff for which there isn't a public API
rm -fv %{buildroot}%{_kde4_libdir}/libknm{client,internals,service,ui}.so


%clean
rm -rf %{buildroot}


%post -n knetworkmanager
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%postun -n knetworkmanager
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null
fi

%posttrans -n knetworkmanager
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null

%post -n knetworkmanager-libs -p /sbin/ldconfig

%postun -n knetworkmanager-libs -p /sbin/ldconfig


%files -n knetworkmanager
%defattr(-,root,root,-)
%doc TODO DESIGN COPYING COPYING.LIB
%{_sysconfdir}/dbus-1/system.d/NetworkManager-kde4.conf
%{_kde4_libdir}/kde4/kcm_networkmanagement.so
%{_kde4_libdir}/kde4/networkmanagement_pptpui.so
%{_kde4_libexecdir}/networkmanagement_configshell
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_appsdir}/desktoptheme/default/networkmanagement/networkmanagement-wireless.svgz
%{_kde4_appsdir}/desktoptheme/default/networkmanagement/networkmanagement.svg
%{_kde4_appsdir}/networkmanagement/
%{_kde4_datadir}/kde4/services/kcm_networkmanagement.desktop
%{_kde4_datadir}/kde4/services/networkmanagement_pptpui.desktop
%{_kde4_datadir}/kde4/servicetypes/networkmanagement_vpnuiplugin.desktop
%{_kde4_bindir}/knetworkmanager
%{_kde4_datadir}/autostart/kde4-knetworkmanager-autostart.desktop
%{_kde4_datadir}/applications/kde4/knetworkmanager.desktop

%files -n knetworkmanager-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libknmclient.so.4*
%{_kde4_libdir}/libknminternals.so.4*
%{_kde4_libdir}/libknmservice.so.4*
%{_kde4_libdir}/libknmui.so.4*
# Unversioned libraries
%{_kde4_libdir}/libknm_nm.so
%{_kde4_libdir}/libsolidcontrolfuture.so

%files -n knetworkmanager-openvpn
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/networkmanagement_openvpnui.so
%{_kde4_datadir}/kde4/services/networkmanagement_openvpnui.desktop

%files -n knetworkmanager-vpnc
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/networkmanagement_vpncui.so
%{_kde4_datadir}/kde4/services/networkmanagement_vpncui.desktop

%files -n kde-plasma-networkmanagement
%defattr(-,root,root,-)
%{_kde4_datadir}/kde4/services/plasma-applet-networkmanagement.desktop
%{_kde4_datadir}/kde4/services/kcm_networkmanagement_tray.desktop
%{_kde4_datadir}/kde4/services/kded/networkmanagement.desktop
%{_kde4_libdir}/kde4/plasma_applet_networkmanagement.so
%{_kde4_libdir}/kde4/kded_networkmanagement.so
%{_kde4_libdir}/kde4/kcm_networkmanagement_tray.so


%changelog
* Wed Sep 30 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.3.20090930svn
- New snapshot

* Mon Sep 21 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.2.20090919svn
- Add back missing Requires:

* Mon Sep 21 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.1.20090919svn
- Version seems to be .9 now
- Fix trailing spaces
- New snapshot

* Tue Sep 15 2009 Rex Dieter <rdieter@fedoraproject.org> 1:0.8-0.22.20090815svn
- Epoch: 1

* Fri Aug 28 2009 Rex Dieter <rdieter@fedoraproject.org> 0.8-0.21.20090815svn
- use knetworkmanager pkg names
- quasi-artificially inflate version to 0.8 (for now), to simplify upgrade path
  for knetworkmanager-0.7 (from F-10)
- nuke -devel pkg
- drop references to short-lived kde-plasma-networkmanager

* Sat Aug 15 2009 Rex Dieter <rdieter@fedoraproject.org> 0.1-0.20.20090815svn
- New snapshot
- optimize scriptlets
- -libs subpkg, multilib-friendly

* Mon Jul 27 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.19.20090726svn
- Add BR on kdelibs-experimental-devel

* Mon Jul 27 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.18.20090726svn
- New snapshot

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.17.20090602svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Rex Dieter <rdieter@fedoraproject.org> 0.1-0.16.20090602svn
- Requires: NetworkManager

* Wed Jun 03 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.15.20090602svn
- Remove patch and use wildcards instead

* Wed Jun 03 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.14.20090602svn
- New snapshot (revision 976742 committed 2009-06-02 13:47 UTC)

* Thu May 21 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.13.20090519svn
- Give the internal libs sonames independent of the KDE version (fix F12 build)

* Wed May 20 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.12.20090519svn
- New snapshot (revision 970021 committed 2009-05-19 13:34 UTC)

* Tue May 05 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.11.20090504svn
- New snapshot (revision 963263 committed 2009-05-04 10:57 UTC)
- Clarify %%description

* Fri Apr 24 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.10.20090424svn
- Respin snapshot
- Add disclaimer to %%description

* Wed Apr 8 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.9.20090403svn
- Respin snapshot

* Tue Mar 3 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.8.20090302svn
- Respin snapshot

* Tue Mar 3 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.7.20090217svn
- Obsoletes/Provides knetworkmanager on F11+ for upgrade paths

* Tue Feb 24 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.6.20090217svn
- Moved P/O to correct places

* Sat Feb 21 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.5.20090217svn
- Fixed Provides to have a version
- Fixed Obsoletes/Provides for subpackages
- Fixed licensing

* Fri Feb 20 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.4.20090217svn
- Fixed Obsoletes/Provides
- Fixed URL

* Sat Feb 7 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.3.20090207svn
- Add changelog
- Added tarball creation
- Changed name to kde-plasma-networkmanagement

* Tue Jan 13 2009 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1-0.2.20090111svn
- General cleanup

* Sun Jan 11 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.1.20090111svn
- Initial package
